diff --git a/changelog b/changelog
index 5537c23..fd5da86 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091007 tpd src/axiom-website/patches.html 20091007.01.tpd.patch
+20091007 tpd src/interp/template.lisp cleanup
 20091006 tpd src/axiom-website/patches.html 20091006.07.tpd.patch
 20091006 tpd src/interp/daase.lisp cleanup
 20091006 tpd src/axiom-website/patches.html 20091006.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a77152e..84d1dd1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2121,5 +2121,7 @@ src/interp/g-util.lisp cleanup<br/>
 src/interp/fortcall.lisp cleanup<br/>
 <a href="patches/20091006.07.tpd.patch">20091006.07.tpd.patch</a>
 src/interp/daase.lisp cleanup<br/>
+<a href="patches/20091007.01.tpd.patch">20091007.01.tpd.patch</a>
+src/interp/template.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/template.lisp.pamphlet b/src/interp/template.lisp.pamphlet
index 7ff2ede..5920ae6 100644
--- a/src/interp/template.lisp.pamphlet
+++ b/src/interp/template.lisp.pamphlet
@@ -591,6 +591,7 @@
 
 (DEFUN |putPredHash| (|pred|)
   (PROG (|op| |u| |k|)
+  (declare (special |$predVectorFrontier| |$predVector| |$predHash|))
     (RETURN
       (SEQ (PROGN
              (COND
@@ -650,6 +651,7 @@
 
 (DEFUN |mkSigPredVectors| ()
   (PROG (|op| |sigList| |sig| |r| |ISTMP#1| |pred|)
+  (declare (special |$predVector| |$predVectorFrontier| |$consDB| |$predHash|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$predHash| (MAKE-HASHTABLE 'UEQUAL))
@@ -808,12 +810,14 @@
 
 (DEFUN |addConsDB,HashCheck| (|x|)
   (PROG (|y|)
+  (declare (special |$consDB|))
     (RETURN
       (SEQ (SPADLET |y| (HGET |$consDB| |x|)) (IF |y| (EXIT |y|))
            (HPUT |$consDB| |x| |x|) (EXIT |x|)))))
 
 (DEFUN |addConsDB,min| (|x|)
   (PROG (|y| |u|)
+  (declare (special |$consDB|))
     (RETURN
       (SEQ (SPADLET |y| (HGET |$consDB| |x|)) (IF |y| (EXIT |y|))
            (IF (PAIRP |x|)
@@ -858,8 +862,8 @@
 ;  nil
 
 (DEFUN |NRTdescendCodeTran| (|u| |condList|)
-  (PROG (|op| |ISTMP#2| |i| |ISTMP#3| |a| |fn| |ISTMP#1| |fn'| |pred|
-              |y| |c|)
+  (PROG (|op| |ISTMP#2| |i| |ISTMP#3| |a| |fn| |ISTMP#1| |fn'| |pred| |y| |c|)
+  (declare (special |$template|))
     (RETURN
       (SEQ (COND
              ((NULL |u|) NIL)
@@ -954,6 +958,7 @@
 
 (DEFUN |NRTaddInner| (|x|)
   (PROG (|l| |ISTMP#2| |z| |y| |ISTMP#1| |ml|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (SEQ (PROGN
              (SEQ (COND
@@ -1129,6 +1134,7 @@
 
 (DEFUN |measureCommon,fn| (|u| |n|)
   (PROG (|m|)
+  (declare (special |$table| |$consDB|))
     (RETURN
       (SEQ (PLUS |n|
                  (SEQ (IF (VECP |u|)
